Subject: I-D Action: draft-tiloca-core-oscore-capable-proxies-02.txt

From: [email-masked]
Date: Mon, 07 Mar 2022 10:31:40 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : OSCORE-capable Proxies
        Authors         : Marco Tiloca
                          Rikard Höglund
	Filename        : draft-tiloca-core-oscore-capable-proxies-02.txt
	Pages           : 18
	Date            : 2022-03-07

Abstract:
   Object Security for Constrained RESTful Environments (OSCORE) can be
   used to protect CoAP messages end-to-end between two endpoints at the
   application layer, also in the presence of intermediaries such as
   proxies.  This document defines how to use OSCORE for protecting CoAP
   messages also between an origin application endpoint and an
   intermediary, or between two intermediaries.  Also, it defines how to
   secure a CoAP message by applying multiple, nested OSCORE
   protections, e.g., both end-to-end between origin application
   endpoints, as well as between an application endpoint and an
   intermediary or between two intermediaries.  Thus, this document
   updates RFC 8613.  The same approach can be seamlessly used with
   Group OSCORE, for protecting CoAP messages when group communication
   with intermediaries is used.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-tiloca-core-oscore-capable-proxies/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-tiloca-core-oscore-capable-proxies-02.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-tiloca-core-oscore-capable-proxies-02

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts